#!/bin/sh
# STk launcher

# determine the kind of the machine which is running this script

STK_LIBRARY=/home/tmp/jmacd/lib/stk/3.0b2/
STK_LOAD_PATH=.:$STK_LIBRARY/STk:$STK_LIBRARY/bin
SCHEME_LIBRARY_PATH=/home/tmp/jmacd/slib/
ENVDRAW_LIBRARY_PATH=/home/hearst/users/jmacd/work/EnvDraw-1.1/
export STK_LIBRARY
export STK_LOAD_PATH
export SCHEME_LIBRARY_PATH
export ENVDRAW_LIBRARY_PATH

#
# Launch Snow rather than STk if the variable DISPLAY is not set.
#
if [ "$DISPLAY" = "" ] ;then
  exec $STK_LIBRARY/bin/snow $*
else
  exec $STK_LIBRARY/bin/stk -name stk $*
fi
